@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700;800&display=swap');

:root {
    --light: #f6f6f9;
    --primary: #b146fe;
    --light-primary: #ce89ff;
    --grey: #eee;
    --dark-grey: #AAAAAA;
    --dark: #181818;
    --danger: #D32F2F;
    --light-danger: #FECDD3;
    --warning: #FBC02D;
    --light-warning: #FFF2C6;
    --success: #388E3C;
    --light-success: #BBF7D0;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body,
html {
    overflow: hidden;
    height: 100%;
    overflow: auto;
}

.enlace {
    color: #000000;
    text-decoration: none;
}

.enlace:hover, .enlace:focus {
    color: var(--dark);
    text-decoration: none;
}

select.form-control option:hover {
    background-color: transparent;
}

.container {
    position: relative;
    z-index: 1;
    border-radius: 30px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, 0.3); /* Agrega sombra */
}

.background-overlay {
    position: fixed;
    top: 0;
    left: 0;
    margin-right: 0;
    padding-right: 0;
    width: 100%;
    height: 100%;
    z-index: -999;
    background-color: var(--light-primary);
}

.row {
    margin-left: 0;
    margin-right: 0;
    padding-left: 0;
    padding-right: 0;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

form {
    background-color: #fff;
    padding: 30px;
    border-radius: 30px;
}

.form-group input {
    background-color: #fff;
    border-radius: 50px;
    border: 1px solid #6b6b6b;
    outline: 0;
    transition: background-color 0.3s, color 0.3s;
}

.form-group input:hover {
    background-color: #fff;
    border: 1px solid #6b6b6b;
    outline: 0;
    box-shadow: none;
}

.form-group input:focus  {
    background-color: var(--light-primary);
    border: 1px solid var(--primary);
    outline: 0;
    box-shadow: none;
}

.form-check-input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none;
    border: 2px solid var(--primary);
    border-radius: 50%;
    width: 20px;
    height: 20px;
    cursor: pointer;
    transition: border-color 0.3s ease-in-out;
    padding: 4px;
}

.img-responsive {
    width: 200px;
    border-radius: 10px;
}

.password-container {
    position: relative;
}

#eyeIcon, #userIcon,
#eyeIconRepeat {
    position: absolute;
    right: 10px;
    top: 50px;
    transform: translateY(-50%);
    cursor: pointer;
}

.bx {
    font-size: 25px;
}

#btn, #btnSubmit {
    background-color: var(--primary);
    border-radius: 20px;
    color: var(--light);
}

#btn:hover, #btnSubmit:hover {
    color: var(--dark);
    background-color: var(--light-primary);
    transition: background-color 0.5s, color 0.5s;
}